> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytldw.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get processing status, embedding and metadata of video 

> Get embedding, metadata and processing status for a video



## OpenAPI

````yaml get /media/{media_id}
openapi: 3.1.0
info:
  title: tl;dw
  version: 0.0.1
  x-logo:
    url: https://app.trytldw.ai/static/images/sidebar_logo.svg
    backgroundColor: transparent
    altText: tl;dw Logo
  contact:
    name: tl;dw Support
    url: https://app.trytldw.ai/support
  termsOfService: https://app.trytldw.ai/terms
  x-apisguru-categories:
    - video
    - ai
servers:
  - url: https://api.trytldw.ai/v1
security: []
tags:
  - name: Collection
    description: Collection
  - name: Video
    description: Media
  - name: Account
    description: Account
paths:
  /media/{media_id}:
    get:
      tags:
        - Index or Embed Videos
      summary: 'Get processing status, embedding and metadata of video '
      description: Get embedding, metadata and processing status for a video
      operationId: get_media_media__media_id__get
      parameters:
        - name: media_id
          in: path
          required: true
          schema:
            type: string
            title: Media Id
        - name: retrieve_embedding
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Retrieve Embedding
        - name: retrieve_description
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Retrieve Description
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MediaWithSegments'
        '404':
          description: Media not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MediaWithSegments:
      properties:
        id:
          type: string
          title: Id
          description: >-
            The ID of the video. Use this ID to retrieve task status, metadata
            and embedding of video
          examples:
            - c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          examples:
            - video_12345
        status:
          $ref: '#/components/schemas/MediaStatus'
          description: The status of the video understanding (e.g. indexing, embedding) job
        collection_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection Id
          description: >-
            The ID of the collection the video belongs to. Only present if the
            video is indexed in a collection
          examples:
            - c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          examples:
            - My Video
        segments:
          anyOf:
            - items:
                $ref: '#/components/schemas/MediaSegment'
              type: array
            - type: 'null'
          title: Segments
          description: >-
            Segments of the video with embeddings and/or descriptions if
            available
      type: object
      required:
        - id
        - external_id
        - status
        - collection_id
        - title
        - segments
      title: MediaWithSegments
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MediaStatus:
      type: string
      enum:
        - PENDING
        - PROCESSING
        - COMPLETED
        - FAILED
      title: MediaStatus
    MediaSegment:
      properties:
        start_ms:
          type: integer
          title: Start Ms
          description: Start time of the segment in milliseconds
          examples:
            - 0
        end_ms:
          type: integer
          title: End Ms
          description: End time of the segment in milliseconds
          examples:
            - 1000
        embedding:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Embedding
          description: The embedding of the segment, a list of 512 floats
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the segment
          examples:
            - People walking in the park
      type: object
      required:
        - start_ms
        - end_ms
        - embedding
        - description
      title: MediaSegment
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````